Bug 1248691 - RFE: Expose warning when deploying with untested RHEL version.
RFE: Expose warning when deploying with untested RHEL version.
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
low Severity unspecified
: ---
: 13.0 (Queens)
Assigned To: Hugh Brock
Shai Revivo
NeedsAllocation
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 11:43 EDT by Stephen Gordon
Modified: 2017-06-01 11:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2015-07-30 11:43:49 EDT
Description of problem:

When deploying using Red Hat provided images we can guarantee that the user is using a supported combination of RHEL OpenStack Platform and RHEL. We need to identify and alert however to the situation where:

- We update director to support new RHEL versions (e.g. 7.2) and the RHEL version(s) in use on the various overcloud systems are no longer supported and thus need to be upgraded.

- The user customizes the deployment images to use a version of RHEL we have not vetted in combination with RHEL OpenStack Platform effectively resulting in the first situation.

By way of example, the GA release of RHEL OpenStack Platform is supported with RHEL 7.1 but *not* 7.0. When RHEL 7.2 is released we will verify RHEL OpenStack Platform with it and that will become the supported/recommended out of the box combination of versions.
Comment 3 chris alfonso 2015-08-06 13:21:37 EDT
Stephen, It's my understanding there has been related conversations about this feature and I'd like to know the outcome of those conversations that you've been involved in. Also, is this for undercloud installation platform checking?
Comment 5 Emilien Macchi 2015-12-01 16:11:56 EST
A solution would be to use Facter that is able to get the RHEL version. This fact can be consumed in Puppet and we could add a check that would verify the version and if it does not match, the catalog would fail.
Comment 7 Mike Burns 2016-04-07 16:47:27 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.